<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{requestProduct.idRequest}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" style="cursor: pointer;"><i class="fa fa-paper-plane-o"></i> &nbsp;{{'entity.action.process' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group">
                        Date Create: {{requestProduct.dateCreate | date : 'dd-MM-yyyy'}}
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.request.requestType" for="field_requestType">Request Type</label>
                        <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="requestProduct.requestTypeId" >
                            <option [ngValue]="null">Select {{'mpmApp.request.requestType' | translate}}</option>
                            <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requestTypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.request.requestNumber" for="field_requestNumber">Request Number</label>
                        <input type="text" class="form-control" name="requestNumber" id="field_requestNumber"
                            [(ngModel)]="requestProduct.requestNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.request.description" for="field_description">Description</label>
                        <textarea type="text" class="form-control" name="description" id="field_description" [(ngModel)]="requestProduct.description"></textarea>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestProduct.facilityFrom" for="field_facilityFrom">Facility From</label>
                        <select class="form-control" id="field_facilityFrom" name="facilityFrom" [(ngModel)]="requestProduct.facilityFromId" >
                            <option [ngValue]="null">Select {{'mpmApp.requestProduct.facilityFrom' | translate}}</option>
                            <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.requestProduct.facilityTo" for="field_facilityTo">Facility To</label>
                        <select class="form-control" id="field_facilityTo" name="facilityTo" [(ngModel)]="requestProduct.facilityToId" >
                            <option [ngValue]="null">Select {{'mpmApp.requestProduct.facilityTo' | translate}}</option>
                            <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <jhi-request-item-as-list
                        [idRequest]="idRequest"    
                    ></jhi-request-item-as-list>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>